CHAT_MSG_TEXT_EMOTE
function(_, msg, sender)
    local whitelist = {}
    local goodbois = {"Choklata", "Iisa", "Tossmysalade", "Tossmychelka", "Rogeuw", "Melna"}
    local docry = 0
    if string.match(msg, "you") or string.match(msg, "your") then
        docry = 1
        for k, v in ipairs(whitelist) do
            if sender == v then
                docry = 0
                break
            end
        end
        for k, v in ipairs(goodbois) do
            if sender == v then
                docry = 2
                break
            end
        end
        if docry == 1 then
            local rand = math.random(1, 8)
            if rand == 1 then DoEmote("cry", sender) end
            if rand == 2 then DoEmote("bonk", sender) end
            if rand == 3 then DoEmote("pat", sender) end
            if rand == 4 then DoEmote("moon", sender) end
            if rand == 5 then DoEmote("agree", sender) end
            if rand == 6 then DoEmote("bored", sender) end
            if rand == 7 then DoEmote("giggle", sender) end
            if rand == 8 then DoEmote("helpme", sender) end
        end
        if docry == 2 then
            local rand = math.random(1, 10)
            if rand == 1 then DoEmote("moan", sender) end
            if rand == 2 then DoEmote("hug", sender) end
            if rand == 3 then DoEmote("love", sender) end
            if rand == 4 then DoEmote("cuddle", sender) end
            if rand == 5 then DoEmote("drool", sender) end
            if rand == 6 then DoEmote("happy", sender) end
            if rand == 7 then DoEmote("flirt", sender) end
            if rand == 8 then DoEmote("lick", sender) end
            if rand == 9 then DoEmote("sexy", sender) end
            if rand == 10 then DoEmote("smile", sender) end
        end
    end
end
